#pragma once

#include <frostbite2D/scene/ui_scene.h>

namespace frostbite2D {

class CharacterObject;
class GameMap;

class GameDebugUIScene : public UIScene {
public:
  GameDebugUIScene() = default;
  ~GameDebugUIScene() override = default;

  void onEnter() override;
  void onExit() override;

  void SetDebugContext(GameMap* map, CharacterObject* character);
  void ClearDebugContext();
};

} // namespace frostbite2D
